Bug 121326 - Image files are saved in the parent directory rather than the selected one
Summary: Image files are saved in the parent directory rather than the selected one
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: gtkam   
(Show other bugs)
Version: rawhide
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Tim Waugh
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-04-20 14:35 UTC by Manuel "Chilli" Chakravarty
Modified: 2007-11-30 22:10 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-07-27 17:25:36 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Manuel "Chilli" Chakravarty 2004-04-20 14:35:04 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6)
Gecko/20040312 Galeon/1.3.14

Description of problem:
When saving picture files to a directory called, say,
/home/chak/foo/bar, the files end up in /home/chak/foo instead.

Version-Release number of selected component (if applicable):
gtkam-0.1.10-5

How reproducible:
Always

Steps to Reproduce:
1. cd /home/chak/foo/bar  (or any other directory where you have write
access also in the parent)
2. Start gtkam and select a picture to download from a connected camera
3. File->Save Photos->Selected
4. Click "Ok" (accepting the default destination, which is the wd -
ie, /home/chak/foo/bar in this example)


Actual Results:  gtkam does save the picture to /home/chak/foo/<image
name>

Expected Results:  gtkam should save the picture to
/home/chak/foo/bar/<image name>

Additional info:

I am using a Canon IXUS 330 (Vendor=04a9 ProdID=3066 Rev= 0.01), but I
would be suprised if the bug is camera-dependent.

This is with gphoto2-2.1.4-2.1 installed.

Comment 1 Tim Waugh 2004-04-21 15:10:43 UTC
On the off-chance that 0.1.11 (released last month) fixes the problem
-- and from looking at the code I think it ought to -- please could
you try this package?:

ftp://people.redhat.com/twaugh/tmp/gtkam/gtkam-0.1.11-0.1.i386.rpm


Comment 2 Christopher Aillon 2004-04-21 16:48:21 UTC
Yes, updating to 0.1.11 fixes this bug.

Comment 3 Elaine Normandy 2004-04-21 16:49:59 UTC
Files are going to correct placed now.

Comment 4 Manuel "Chilli" Chakravarty 2004-04-22 10:54:14 UTC
Yes, 0.1.11 fixes the bug for me, too.  Thanks.

Comment 5 Tim Waugh 2005-07-27 17:25:36 UTC
We no longer ship gtkam.


Note You need to log in before you can comment on or make changes to this bug.